/*
 * Copyright 2006-2011 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.codegen.impl;

import java.util.Map;

import org.seasar.codegen.CodeGenConfig;
import org.seasar.extension.unit.S2TestCase;

public class CodeGenConfigImplTest extends S2TestCase {

    private CodeGenConfig codeGenConfig;

    @Override
    protected void setUp() throws Exception {
        include("CodeGen.dicon");
    }

    public void testSequnceMapping() {
        Map<String, String> map = codeGenConfig.getSequnceMapping();
        assertEquals(1, map.size());
        assertEquals("empNo", map.get("EMP_TABLE"));
    }
}
